MyOnCenter Portal | REQUEST A DEMO | CONTACT | SALES: 1-866-627-6246
 
Browse Ask On Center

 

Tools

 Featured
CLS - Classic System Requirements

Reference Number: AA-00205 Views: 7770 Last Updated: 09/07/2017 03:57 pm 0 Rating/ Voters

These System Requirements are for our Classic product line (On-Screen Takeoff, Quick Bid, Digital Production Control).  If you are looking for System Requirements for Oasis Takeoff, see OTK - Oasis Takeoff System Requirements.

Operating System

Recommended

Windows®  10 Pro or Home

Supported

Windows®  8.1 Pro

Windows®  7 Pro

32 Bit and 64 Bit operating systems are Supported.

On Center recommends that you install all available Windows Updates before installing our software.

CPU (Processor)

Recommended

Intel Core i5 or faster

Required

Intel compatible 1GHz processor or faster

Memory & Storage

Recommended

8 GB RAM or more (and 64-Bit operating system)

Required

2 GB RAM

1 GB Hard drive space (plus more for plans, projects)

Other Requirements

Minimum display resolution: 1280 x 1024

Internet connection required, see CLS - Configuring Your Firewall (Classic Products)

Must be installed by local Windows administrator (domain Admins may be restricted by security policy), see CLS - Security Settings Required to use Classic Products

.net 4.5 or higher required for Oasis products; .net 3.5 required for Classic products

These requirements apply to the Current Release of On Center's Classic products.  For version-specific System Requirements (Classic Products), check your product's Help file.  Basically, if your PC is capable of running a supported version of Windows, it should be able to run On Center's products.  If you're looking for System Requirements for Oasis Takeoff or Enterprise License Manager, please see Related articles.

Additional Information

Classic functionality that requires Microsoft Excel or Word only works with fully-licensed, locally installed versions of Microsoft Office® Professional 2010, 2013, and 2016.

To use Project Express (OST & DPC), if you are running a version of Windows older than Windows 10, you must install a specific Windows Update, that includes the Universal C-Runtime update, to use Project Express.  Click here for instructions on installing this Windows Update. 

SQL Server 2008 R2, 2012, and 2014 (full or express versions), see CLS - Using SQL with Classic Products for more information.  If you are using an older version of SQL, you must upgrade SQL before installing any OCS product updates.

The minimum system requirements support basic functionality of On Center Software programs.  Actual requirements will vary, depending on your system configuration, other applications installed and running on your computer, the complexity of the electronic plans you use, and if you use the programs interactively.  See CLS - Improving the Performance of your On Center. Software Products for more information.

Apple Computers

Devices running MAC OSX

There are two environments in which supported products may be installed on an Apple computer running MAC OSX:

  • Bootcamp - this is a separate partition from MAC OSX on which a stand-alone installation of Windows is running.  This allows the user to run Windows OR MAC OSX but not both at the same time.  
  • Parallels (or any other virtualization product) - this allows a MAC OSX user to run a virtualized installation of Windows within the MAC OSX environment.  This is not a stand-alone installation of Windows, it is sort of running Windows within a window, so to speak.  Installing in any virtual environment requires the use of Enterprise License Manager licenses, stand-alone license codes cannot be used.
 
 

Link to Article Feedback Copyright 2017 - On Center Software, Inc. All Rights Reserved.